
/*==========================================================================                                                                  
Project: 	Agricultural extension services, intra-household
            allocation and malaria	    
			Yao Pan, Saurabh Singhal    
			
			This file produces results reported in table 2 panel B

===========================================================================*/


use "$data/data/data_JDE_UNHS.dta", replace

label var hh "Household identifier"
label var comm "Village identifier"
label var vdistance "Distance to Associated BRAC Branch Office"

label var netown "Household owns at least one bednet (0/1)"
label var ln_netvalue_pc "Value of bednets owned per member"	
label var shoe "All members of the household own at least one pair of shoes (0/1)"	
label var ln_inc_pc "Agricultural income per capita"

global default "c(0) h(2) vce(nncluster comm 10)"

*******************************************************************************
*	 TABLE 2 PANEL B PRE-INTERVENTION DISCONTINUITY USING UNHS (2005-06)
*******************************************************************************

* proportion of members reporting malaria
rdrobust hh_mal_prop vdistance, $default
unique comm if abs(vdistance)<2 & hh_mal_prop!=.
sum hh_mal_prop if vdistance>0 & vdistance<2 & hh_mal_prop!=.

* bednet ownership dummy
rdrobust netown vdistance,$default
unique comm if abs(vdistance)<2 & netown!=.
sum netown if vdistance>0 & vdistance<2 & netown!=.

* bednet value per capita: proxy for # of bednet per capita
rdrobust ln_netvalue_pc vdistance,$default
unique comm if abs(vdistance)<2 & ln_netvalue_pc!=.
sum ln_netvalue_pc if vdistance>0 & vdistance<2 & ln_netvalue_pc!=.

* every member has at least 1 pair of shoes
rdrobust shoe vdistance,$default
unique comm if abs(vdistance)<2 & shoe!=.
sum shoe if vdistance>0 & vdistance<2 & shoe!=.

* agricultural income per capita
rdrobust ln_inc_pc vdistance,$default
unique comm if abs(vdistance)<2 & ln_inc_pc!=.
sum ln_inc_pc if vdistance>0 & vdistance<2 & ln_inc_pc!=.
